package org.dromara.system.service;

import org.dromara.system.domain.RegisterTeacherClass;
import org.dromara.system.domain.vo.RegisterTeacherClassVo;
import org.dromara.system.domain.bo.RegisterTeacherClassBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 注册-老师-班级（学科）Service接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface IRegisterTeacherClassService {

    /**
     * 查询注册-老师-班级（学科）
     */
    RegisterTeacherClassVo queryById(Long id);

    /**
     * 查询注册-老师-班级（学科）列表
     */
    TableDataInfo<RegisterTeacherClassVo> queryPageList(RegisterTeacherClassBo bo, PageQuery pageQuery);

    /**
     * 查询注册-老师-班级（学科）列表
     */
    List<RegisterTeacherClassVo> queryList(RegisterTeacherClassBo bo);

    /**
     * 新增注册-老师-班级（学科）
     */
    Boolean insertByBo(RegisterTeacherClassBo bo);

    /**
     * 修改注册-老师-班级（学科）
     */
    Boolean updateByBo(RegisterTeacherClassBo bo);

    /**
     * 校验并批量删除注册-老师-班级（学科）信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
